Package com.microblink.blinkid.entities.recognizers.blinkid.generic.imageanalysis

# Enum Class DocumentImageColorStatus

java.lang.Object
java.lang.Enum<DocumentImageColorStatus>
com.microblink.blinkid.entities.recognizers.blinkid.generic.imageanalysis.DocumentImageColorStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<DocumentImageColorStatus>`, `Constable`

public enum DocumentImageColorStatus extends Enum<DocumentImageColorStatus>
Defines possible color statuses determined from scanned image.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BlackAndWhite`
  Black-and-white image scanned
  `Color`
  Color image scanned
  `NotAvailable`
  Image color status is not available.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DocumentImageColorStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DocumentImageColorStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NotAvailable

    public static final DocumentImageColorStatus NotAvailable
    Image color status is not available. Check has not been performed.

  - ### BlackAndWhite

    public static final DocumentImageColorStatus BlackAndWhite
    Black-and-white image scanned

  - ### Color

    public static final DocumentImageColorStatus Color
    Color image scanned

- ## Method Details

  - ### values

    public static DocumentImageColorStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DocumentImageColorStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null